%define libname %mklibname %name

Name:		cdacclient
Version:	0.3.0
Release:	%mkrel 1
Summary:	CDA C client
URL:		http://xtreemos.eu
Group:		System/Cluster
License:	GPL
Source:		%{name}-%{version}.tar.bz2
#Buildrequires:	pkgconfig

%description
CDA C client lib

%package -n %{libname}
Summary: The %name library
Group:          System/Cluster

%description -n %{libname}
This package provides the library of %name

%package -n %{libname}-devel
Summary: The %name library - development files
Group:          System/Cluster
Provides: %name-devel = %{version}-%{release}, lib%{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This package provides the %name libraries 
development files and static libraries.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%{buildroot}/usr

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/

%files -n %libname
%defattr(-,root,root)
%doc README
/usr/lib/*.so.0
/usr/lib/*.so.1

%files -n %{libname}-devel
%defattr(-,root,root)
%doc README
%{_includedir}/*
/usr/lib/*.a
/usr/lib/*.so

%changelog
